## linux-liquorix 5.11

=== debian/changelog ===
linux-liquorix (5.11-6~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Tue, 02 Mar 2021 17:07:45 -0600

linux-liquorix (5.11-6ubuntu1~bionic) bionic; urgency=medium

  * re-enable tracing options for AMD systems
   - https://techpatterns.com/forums/about2874.html
  * update version to 5.11.0-2.4

 -- Steven Barrett <steven@liquorix.net>  Mon, 01 Mar 2021 20:29:36 -0600

linux-liquorix (5.11-5) unstable; urgency=medium

  * merge kerneltoast optimizations
   - mm: Disable watermark boosting by default
   - mm: Stop kswapd early when nothing's waiting for it to free pages
   - mm: Don't stop kswapd on a per-node basis when there are no waiters
   - locking/mutex: Don't hog RCU read lock while optimistically spinning
   - locking/rwsem: Don't hog RCU read lock while optimistically spinning
  * update version to 5.11.0-2.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Feb 2021 16:27:15 -0600

linux-liquorix (5.11-4) unstable; urgency=medium

  * remove clearlinux patches
  * update version to 5.11.0-2.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 26 Feb 2021 16:34:27 -0600

linux-liquorix (5.11-3) unstable; urgency=medium

  * merge 5.11.2
  * update version to 5.11.0-2.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 26 Feb 2021 11:12:13 -0600

linux-liquorix (5.11-2) unstable; urgency=medium

  * merge 5.11.1
  * update version to 5.11.0-1.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 23 Feb 2021 08:19:56 -0600

linux-liquorix (5.11-1) unstable; urgency=medium

  * switch to 5.11.0
  * refresh debian patches
  * refresh configuration for v5.11
  * update version to 5.11.0-0.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 22 Feb 2021 19:04:01 -0600

linux-liquorix (5.10-25) unstable; urgency=medium

  * merge 5.10.16 (no-op)
  * merge 5.10.17
  * update version to 5.10.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 17 Feb 2021 09:30:58 -0600

linux-liquorix (5.10-24) unstable; urgency=medium

  * revert "radeon, amdgpu: Firmware is required for DRM and KMS on R600
    onward"
  * update version to 5.10.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 12 Feb 2021 08:36:16 -0600

linux-liquorix (5.10-23) unstable; urgency=medium

  * merge 5.10.15 (no-op)
  * merge 5.10.16 rc patches
  * change CONFIG_DRM_FBDEV_OVERALLOC from 300 to 100
  * update version to 5.10.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Feb 2021 16:46:00 -0600

linux-liquorix (5.10-22) unstable; urgency=medium

  * merge 5.10.15 rc patches
  * merge fixes in 5.10/master
   - radeon, amdgpu: Firmware is required for DRM and KMS on R600 onward
   - net-tcp_bbr: v2: Pull updates from v2alpha-2021-02-09
  * update version to 5.10.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 09 Feb 2021 19:24:24 -0600

linux-liquorix (5.10-21) unstable; urgency=medium

  * merge 5.10.14 (no-op)
  * backport CFS fix to MuQSS
    - Backport "sched: Reenable interrupts in do_sched_yield()"
  * update version to 5.10.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 07 Feb 2021 12:22:45 -0600

linux-liquorix (5.10-20) unstable; urgency=medium

  * merge 5.10.14 rc patches
  * disable most/all trace config options
  * update version to 5.10.0-13.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 05 Feb 2021 09:12:49 -0600

linux-liquorix (5.10-19) unstable; urgency=medium

  * merge 5.10.13
  * update version to 5.10.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Feb 2021 19:31:21 -0600

linux-liquorix (5.10-18) unstable; urgency=medium

  * merge 5.10.12
  * update version to 5.10.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 30 Jan 2021 09:18:28 -0600

linux-liquorix (5.10-17) unstable; urgency=medium

  * add one more scheduler fix
    - ZEN: Increase max elevator name size 
  * update version to 5.10.0-11.3

 -- Steven Barrett <steven@liquorix.net>  Wed, 27 Jan 2021 17:47:28 -0600

linux-liquorix (5.10-16) unstable; urgency=medium

  * revert XanMod force multithreading IO tweak
   -  Revert "block: set rq_affinity to force full multithreading I/O requests"
  * fix mq-deadline-nodefault scheduler
   - ZEN: Fix mq-deadline scheduler renaming
  * update version to 5.10.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 27 Jan 2021 14:38:44 -0600

linux-liquorix (5.10-15) unstable; urgency=medium

  * merge 5.10.11
  * revert problematic clearlinux patches:
    - 602943c07d15 Revert "intel_idle: tweak cpuidle cstates"
    - 2fca4f72896c Revert "print fsync count for bootchart"
    - 557bbb24359c Revert "nvme workaround"
  * update version to 5.10.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 27 Jan 2021 09:38:29 -0600

linux-liquorix (5.10-14) unstable; urgency=medium

  * merge 5.10.11 rc patches
  * merge 5.10/master fixes
    - HID: wacom: Fix memory leakage caused by kfifo_alloc
    - HID: wacom: Correct NULL dereference on AES pen proximity
  * update version to 5.10.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 24 Jan 2021 21:42:35 -0600

linux-liquorix (5.10-13) unstable; urgency=medium

  * merge 5.10.10
  * update version to 5.10.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 23 Jan 2021 09:52:17 -0600

linux-liquorix (5.10-12) unstable; urgency=medium

  * merge 5.10.9
  * update version to 5.10.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 19 Jan 2021 17:41:27 -0600

linux-liquorix (5.10-11) unstable; urgency=medium

  * merge 5.10.8
  * merge 5.10.9 rc patches
  * update version to 5.10.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 17 Jan 2021 16:58:39 -0600

linux-liquorix (5.10-10) unstable; urgency=medium

  * merge 5.10.8 rc patches
  * add and use BBR2 as default TCP congestion control
  * add XanMod tweak to force multithread IO
   - block: set rq_affinity to force full multithreading I/O requests

 -- Steven Barrett <steven@liquorix.net>  Sat, 16 Jan 2021 10:06:52 -0600

linux-liquorix (5.10-9) unstable; urgency=medium


