## linux-liquorix 5.12

=== debian/changelog ===
linux-liquorix (5.12-25~mx17+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 17.

 -- andyprough <andyprough@protonmail.com>  Sat, 17 Jul 2021 22:42:51 -0500

linux-liquorix (5.12-25ubuntu1~bionic) bionic; urgency=medium

  * backport idle fixes in 5.12.17 for sched/core to MuQSS
  * update version to 5.12.0-17.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 14 Jul 2021 21:23:43 -0500

linux-liquorix (5.12-24) unstable; urgency=medium

  * merge 5.12.17
  * update version to 5.12.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 14 Jul 2021 18:51:54 -0500

linux-liquorix (5.12-23) unstable; urgency=medium

  * revert CPU selection tuning
  * update version to 5.12.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 12 Jul 2021 17:28:43 -0500

linux-liquorix (5.12-22) unstable; urgency=medium

  * merge 5.12.16
  * add second take on fixing usb sound latency
  * add MuQSS CPU selection tuning from Eduardo
  * update version to 5.12.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Jul 2021 10:06:05 -0500

linux-liquorix (5.12-21) unstable; urgency=medium

  * merge 5.12.15
  * update version to 5.12.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 07 Jul 2021 18:23:13 -0500

linux-liquorix (5.12-20) unstable; urgency=medium

  * fix build error in kernel/futex2.c
  * update version to 5.12.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 30 Jun 2021 18:12:56 -0500

linux-liquorix (5.12-19) unstable; urgency=medium

  * merge 5.12.14
  * add fixes
    - soundwire: add override addr ops
    - soundwire: Intel: introduce DMI quirks for HP Spectre x360 Convertible
    - soundwire: Intel: add DMI quirk for Dell SKU 0A3E
  * update version to 5.12.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 30 Jun 2021 14:49:30 -0500

linux-liquorix (5.12-18) unstable; urgency=medium

  * merge 5.12.13
  * update version to 5.12.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 23 Jun 2021 12:35:43 -0500

linux-liquorix (5.12-17) unstable; urgency=medium

  * merge 5.12.12
  * update version to 5.12.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 18 Jun 2021 17:09:46 -0500

linux-liquorix (5.12-16) unstable; urgency=medium

  * merge 5.12.11
  * update version to 5.12.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Jun 2021 12:28:04 -0500

linux-liquorix (5.12-15) unstable; urgency=medium

  * add patchset to unconditionally reserve first MiB of memory
  * update version to 5.12.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 12 Jun 2021 18:05:15 -0500

linux-liquorix (5.12-14) unstable; urgency=medium

  * merge 5.12.10
  * update version to 5.12.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 10 Jun 2021 11:38:09 -0500

linux-liquorix (5.12-13) unstable; urgency=medium

  * switch gcc optimization from O3 to O2
  * update version to 5.12.0-9.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 05 Jun 2021 14:47:12 -0500

linux-liquorix (5.12-12) unstable; urgency=medium

  * merge 5.12.9
  * update version to 5.12.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 03 Jun 2021 08:28:21 -0500

linux-liquorix (5.12-11) unstable; urgency=medium

  * restore patches
    - context_tracking: Move guest exit vtime accounting to separate helpers
    - context_tracking: Move guest exit context tracking to separate helpers 
    - KVM: x86: Defer vtime accounting 'til after IRQ handling
  * update version to 5.12.0-8.5

 -- Steven Barrett <steven@liquorix.net>  Mon, 31 May 2021 19:25:39 -0500

linux-liquorix (5.12-10) unstable; urgency=medium

  * revert more related patches:
    - context_tracking: Move guest exit vtime accounting to separate helpers
    - context_tracking: Move guest exit context tracking to separate helpers 
  * update version to 5.12.0-8.4

 -- Steven Barrett <steven@liquorix.net>  Mon, 31 May 2021 18:31:14 -0500

linux-liquorix (5.12-9) unstable; urgency=medium

  * revert "KVM: x86: Defer vtime accounting 'til after IRQ handling"
  * update version to 5.12.0-8.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 31 May 2021 17:33:30 -0500

linux-liquorix (5.12-8) unstable; urgency=medium

  * merge 5.12.9 rc patches
  * update version to 5.12.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 31 May 2021 15:07:50 -0500

linux-liquorix (5.12-7) unstable; urgency=medium

  * merge 5.12.8
  * update version to 5.12.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 May 2021 17:43:59 -0500

linux-liquorix (5.12-6) unstable; urgency=medium

  * merge 5.12.7
  * update version to 5.12.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 26 May 2021 09:36:35 -0500

linux-liquorix (5.12-5) unstable; urgency=medium

  * restore "bus: mhi: core: Process execution environment changes serially"
  * enable CONFIG_ACPI_EC_DEBUGFS
  * update version to 5.12.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 May 2021 12:08:22 -0500

linux-liquorix (5.12-4) unstable; urgency=medium

  * merge 5.12.6
  * update version to 5.12.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 May 2021 11:13:33 -0500

linux-liquorix (5.12-3) unstable; urgency=medium

  * merge 5.12.5
  * update version to 5.12.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 19 May 2021 08:32:14 -0500

linux-liquorix (5.12-2) unstable; urgency=medium

  * revert "bus: mhi: core: Process execution environment changes serially"
  * update version to 5.12.0-4.3

 -- Steven Barrett <steven@liquorix.net>  Tue, 18 May 2021 11:44:38 -0500

linux-liquorix (5.12-1) unstable; urgency=medium

  * switch to v5.12.4
  * enable multigenerational lru
  * refresh config and debian patches
  * revert "perf bench: Add futex2 benchmark tests" in 5.12/futex2
  * update version to 5.12.0-4.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 18 May 2021 06:45:17 -0500

linux-liquorix (5.11-36) unstable; urgency=medium

  * merge 5.11.22 rc patches
  * update version to 5.11.0-21.2


