## linux-liquorix 5.13

=== debian/changelog ===
linux-liquorix (5.13-9~mx17+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 17.

 -- andyprough <andyprough@protonmail.com>  Tue, 24 Aug 2021 11:02:07 -0500

linux-liquorix (5.13-9ubuntu1~bionic) bionic; urgency=medium

  * merge 5.13.13 rc patches
  * add revised muqss CPU selection patches
  * default to LLC runqueue sharing in MuQSS
  * update version to 5.13.0-12.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 23 Aug 2021 19:35:43 -0500

linux-liquorix (5.13-8) unstable; urgency=medium

  * merge 5.13.13 rc patches
  * add "x86/ACPI/State: Optimize C3 entry on AMD CPUs"
  * update version to 5.13.0-12.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 21 Aug 2021 20:11:24 -0500

linux-liquorix (5.13-7) unstable; urgency=medium

  * merge 5.13.12
  * update version to 5.13.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Aug 2021 08:23:37 -0500

linux-liquorix (5.13-6) unstable; urgency=medium

  * add CFS MG-LRU updates to MuQSS
  * merge 5.13.11 RC patches
  * update version to 5.13.0-10.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 14 Aug 2021 12:02:16 -0500

linux-liquorix (5.13-5) unstable; urgency=medium

  * properly merge MG-LRU min_ttl_ms change
  * update version to 5.13.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 13 Aug 2021 08:10:58 -0500

linux-liquorix (5.13-4) unstable; urgency=medium

  * merge 5.13.10
  * sync wifi and bluetooth config from Arch/Zen
  * update version to 5.13.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 12 Aug 2021 17:37:54 -0500

linux-liquorix (5.13-3) unstable; urgency=medium

  * merge 5.13.9
  * add multigenerational LRU TTL knob
    - mm: multigenerational lru: add /sys/kernel/mm/lru_gen/min_ttl_ms 
  * update version to 5.13.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 08 Aug 2021 10:40:05 -0500

linux-liquorix (5.13-2) unstable; urgency=medium

  * merge missing futex-multiple-wait-v3 implementation
  * update version to 5.13.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 07 Aug 2021 16:06:05 -0500

linux-liquorix (5.13-1) unstable; urgency=medium

  * switch to kernel 5.13
  * refresh config for 5.13
  * merge 5.13.8
  * update version to 5.13.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 07 Aug 2021 14:18:42 -0500

linux-liquorix (5.12-30) unstable; urgency=medium

  * fix ordering of Intell remapped NVMe devices
  * add fix for multigenerational lru
   - mm: multigenerational lru: balance memory pressure between memcgs
  * update version to 5.12.0-19.4

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Aug 2021 08:36:47 -0500

linux-liquorix (5.12-29) unstable; urgency=medium

  * add Intel remapped NVMe device support
  * build PSI with kernel, disabled by default
  * update version to 5.12.0-19.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 24 Jul 2021 19:15:22 -0500

linux-liquorix (5.12-28) unstable; urgency=medium

  * add fix for multigenerational lru
   -  mm: fix priority queue in multigenerational lru
  * update version to 5.12.0-19.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 21 Jul 2021 19:58:16 -0500

linux-liquorix (5.12-27) unstable; urgency=medium

  * merge 5.12.19
  * update version to 5.12.0-19.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 20 Jul 2021 11:11:11 -0500

linux-liquorix (5.12-26) unstable; urgency=medium

  * merge 5.12.18
  * reset dirty ratios from 50%/20% (hard / background), to 20%/10%
  * merged le9 cache protection for mainline LRU
  * update version to 5.12.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 19 Jul 2021 12:51:34 -0500

linux-liquorix (5.12-25) unstable; urgency=medium

  * backport idle fixes in 5.12.17 for sched/core to MuQSS
  * update version to 5.12.0-17.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 14 Jul 2021 21:23:43 -0500
