=== debian/rules ===
--- 
+++ 
@@ -85,5 +85,5 @@
 
 .PHONY: clean build setup binary-indep binary-arch binary
 
-override dh_strip:
+override_dh_strip:
 	dh_strip --no-automatic-dbgsym
