## linux-liquorix 5.14

=== debian/changelog ===
linux-liquorix (5.14-9~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Oct 2021 12:03:08 -0700

linux-liquorix (5.14-9ubuntu1~bionic) bionic; urgency=medium

  * merge 5.14.10 rc patches
  * enable tracing functionality for perf
  * update version to 5.14.0-9.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 02 Oct 2021 11:54:10 -0500

linux-liquorix (5.14-8) unstable; urgency=medium

  * apply fix for BFQ
   - Revert "block, bfq: honor already-setup queue merges"
  * update version to 5.14.0-9.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 01 Oct 2021 16:40:38 -0500

linux-liquorix (5.14-7) unstable; urgency=medium

  * merge 5.14.9
  * update Project-C to v5.14-r3
  * update version to 5.14.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 30 Sep 2021 11:39:21 -0500

linux-liquorix (5.14-6) unstable; urgency=medium

  * merge 5.14.8
  * add fixes
   - SUNRPC: don't pause on incomplete allocation
   - Bluetooth: btusb: Add support for IMC Networks Mediatek Chip
   - Bluetooth: btusb: Add support for Foxconn Mediatek Chip
   - ALSA: pcm: Check mmap capability of runtime dma buffer at first
   - ALSA: pci: rme: Set up buffer type properly
   - ALSA: pci: cs46xx: Fix set up buffer type properly
  * add prjc fix
   - sched/alt: add missing sanity check in migrate_pending_tasks()
  * update version to 5.14.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Sep 2021 12:57:51 -0500

linux-liquorix (5.14-5) unstable; urgency=medium

  * merge 5.14.7
  * update version to 5.14.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 Sep 2021 11:21:48 -0500

linux-liquorix (5.14-4) unstable; urgency=medium

  * apply fix for cgroup time accounting with sched/alt
  * reenable CONFIG_CGROUP_CPUACCT
  * update version to 5.14.0-6.4

 -- Steven Barrett <steven@liquorix.net>  Mon, 20 Sep 2021 20:21:16 -0500

linux-liquorix (5.14-3) unstable; urgency=medium

  * change sched/alt timeslice from 4ms to 2ms (change as not merged last
    release)
  * update Project-C to v5.14-r2
  * disable CONFIG_CGROUP_CPUACCT
  * pass acpi_enforce_resources=lax by default
  * update version to 5.14.0-6.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 20 Sep 2021 17:45:10 -0500

linux-liquorix (5.14-2) unstable; urgency=medium

  * change sched/alt timeslice from 4ms to 2ms
  * update version to 5.14.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Sep 2021 16:12:35 -0500

linux-liquorix (5.14-1) unstable; urgency=medium

  * switch to kernel 5.14
  * merge 5.14.6
  * refresh configuration for 5.14
   - switch from MuQSS to PDS
  * update version to 5.14.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 12 Sep 2021 19:26:25 -0500

linux-liquorix (5.13-14) unstable; urgency=medium

  * merge 5.13.16
  * update version to 5.13.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 12 Sep 2021 15:41:02 -0500

linux-liquorix (5.13-13) unstable; urgency=medium

  * merge 5.13.15
  * add fixes from 5.14/fixes
   - Bluetooth: Shutdown controller after workqueues are flushed or cancelled
   - Bluetooth: Move shutdown callback before flushing tx and rx queue
   - watchdog: iTCO_wdt: Account for rebooting on second timeout
   - watchdog: iTCO_wdt: Fix detection of SMI-off case
  * update version to 5.13.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 08 Sep 2021 18:26:11 -0500

linux-liquorix (5.13-12) unstable; urgency=medium

  * merge 5.13.14
  * update version to 5.13.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 03 Sep 2021 10:57:47 -0500

linux-liquorix (5.13-11) unstable; urgency=medium

  * merge 5.13.13
  * update version to 5.13.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 26 Aug 2021 13:07:19 -0500

linux-liquorix (5.13-10) unstable; urgency=medium

  * revert muqss CPU selection patches and configuration change
  * update version to 5.13.0-12.4

 -- Steven Barrett <steven@liquorix.net>  Tue, 24 Aug 2021 09:51:38 -0500

linux-liquorix (5.13-9) unstable; urgency=medium

  * merge 5.13.13 rc patches
  * add revised muqss CPU selection patches
  * default to LLC runqueue sharing in MuQSS
  * update version to 5.13.0-12.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 23 Aug 2021 19:35:43 -0500
