## linux-liquorix 5.15

=== debian/changelog ===
linux-liquorix (5.15-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Dec 2021 15:14:36 -0800

linux-liquorix (5.15-8ubuntu1~focal) focal; urgency=medium

  * merge latest zen-kernel/5.15/fixes
   - Revert "drm/i915: Implement Wa_1508744258"
  * update version to 5.15.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 05 Dec 2021 17:07:50 -0600

linux-liquorix (5.15-7) unstable; urgency=medium

  * merge 5.15.6
  * merge 5.15.7-rc patches (ALSA low latency support)
  * update version to 5.15.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Dec 2021 19:31:38 -0600

linux-liquorix (5.15-6) unstable; urgency=medium

  * restore default kernel behavior for ACPI resource contention
   - 614fb4c6 Revert "config: Relax control over ACPI resources"
   - https://github.com/damentz/liquorix-package/issues/70
  * update version to 5.15.0-5.4

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Nov 2021 20:03:48 -0600

linux-liquorix (5.15-5) unstable; urgency=medium

  * add bugfix
   - scsi: sd: Fix sd_do_mode_sense() buffer length handling
  * update version to 5.15.0-5.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Nov 2021 00:17:51 -0600

linux-liquorix (5.15-4) unstable; urgency=medium

  * sync upstream sched/core updates to sched/alt
   - sched/alt: [Sync] b027789 Prevent dead task groups from regaining cfs_rq's
  * refresh config for changes in 5.15.5
  * update version to 5.15.0-5.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Nov 2021 13:15:32 -0600

linux-liquorix (5.15-3) unstable; urgency=medium

  * merge 5.15.5
  * sync upstream sched/core updates to sched/alt
   - sched/alt: [Sync] 42dc938 sched/core: Mitigate race cpus_share_cache()/update_top_cache_domain()
  * update version to 5.15.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Nov 2021 11:21:02 -0600

linux-liquorix (5.15-2) unstable; urgency=medium

  * merge 5.15.4-rc
  * update version to 5.15.0-3.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 20 Nov 2021 16:24:08 -0600

linux-liquorix (5.15-1) unstable; urgency=medium

  * switch to kernel 5.15
  * merge 5.15.3
  * update version to 5.15.0-3.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 20 Nov 2021 11:24:57 -0600

linux-liquorix (5.14-25) unstable; urgency=medium

  * revert get_wchan() stable updates
  * backport sched_post_fork changes from mainlin
  * update version to 5.14.0-19.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 17 Nov 2021 13:43:25 -0600

linux-liquorix (5.14-24) unstable; urgency=medium

  * merge 5.14.19
  * update version to 5.14.0-19.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 17 Nov 2021 09:30:10 -0600

linux-liquorix (5.14-23) unstable; urgency=medium

  * merge 5.14.18
  * update version to 5.14.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 13 Nov 2021 10:25:50 -0600

linux-liquorix (5.14-22) unstable; urgency=medium

  * merge 5.14.17
  * update Project C to v5.14-r4
  * update futex_waitv implementation to latest in 5.16
  * update version to 5.14.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 06 Nov 2021 11:13:11 -0500

linux-liquorix (5.14-21) unstable; urgency=medium

  * force enable CONFIG_FB_SIMPLE
  * update version to 5.14.0-16.4

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Nov 2021 16:35:46 -0500

linux-liquorix (5.14-20) unstable; urgency=medium

  * enable fbdev triple buffering
  * disable logo support entirely
  * update version to 5.14.0-16.3

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Nov 2021 16:26:16 -0500

linux-liquorix (5.14-19) unstable; urgency=medium

  * backport framebuffer configuration from Ubuntu/Debian
  * update version to 5.14.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Nov 2021 09:56:11 -0500

linux-liquorix (5.14-18) unstable; urgency=medium

  * merge 5.14.16
  * backport upcoming CPU vulnerability mitigation updates
   - x86: change default to spec_store_bypass_disable=prctl spectre_v2_user=prctl
   - x86: deduplicate the spectre_v2_user documentation
  * update version to 5.14.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 02 Nov 2021 14:31:59 -0500

linux-liquorix (5.14-17) unstable; urgency=medium

  * merge 5.14.15
  * update version to 5.14.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 27 Oct 2021 17:15:49 -0500

linux-liquorix (5.14-16) unstable; urgency=medium

  * merge 5.14.14
  * update version to 5.14.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 20 Oct 2021 18:04:13 -0500

linux-liquorix (5.14-15) unstable; urgency=medium

  * merge 5.14.13
  * update version to 5.14.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 17 Oct 2021 10:21:48 -0500

linux-liquorix (5.14-14) unstable; urgency=medium

  * merge 5.14.12
  * update version to 5.14.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 13 Oct 2021 08:24:58 -0500

linux-liquorix (5.14-13) unstable; urgency=medium

  * merge 5.14.11
  * update MG-LRU from refs/changes/30/1430/1 in https://linux-mm.googlesource.com/page-reclaim
  * update version to 5.14.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 10 Oct 2021 19:20:11 -0500

linux-liquorix (5.14-12) unstable; urgency=medium

  * merge 5.14.10
  * update version to 5.14.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 07 Oct 2021 12:23:28 -0500

linux-liquorix (5.14-11) unstable; urgency=medium

  * revert stable patch that breaks IGC
   - igc: fix build errors for PTP
  * re-enable CONFIG_IGC that was removed by aforementioned patch
  * update version to 5.14.0-9.5

 -- Steven Barrett <steven@liquorix.net>  Sun, 03 Oct 2021 14:30:00 -0500

linux-liquorix (5.14-10) unstable; urgency=medium

  * minimize tracing additions to only what perf needs for call graph tracking
  * update version to 5.14.0-9.4

 -- Steven Barrett <steven@liquorix.net>  Sat, 02 Oct 2021 22:34:58 -0500

linux-liquorix (5.14-9) unstable; urgency=medium

  * merge 5.14.10 rc patches
  * enable tracing functionality for perf

